CVE-2018-1084

Impact:
Important
Public Date:
2018-04-12
Bugzilla:
1552830: CVE-2018-1084 corosync: Integer overflow in exec/totemcrypto.c:authenticate_nss_2_3() function
An integer overflow leading to an out-of-bound read was found in authenticate_nss_2_3() in Corosync. An attacker could craft a malicious packet that would lead to a denial of service.

Find out more about CVE-2018-1084 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

CVSS3 Base Score 7.5
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality None
Integrity Impact None
Availability Impact High

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 7 (corosync) RHSA-2018:1169 2018-04-17

Affected Packages State

Platform Package State
Red Hat Gluster Storage 3 corosync Will not fix
Red Hat Enterprise Linux 8 corosync Not affected
Red Hat Enterprise Linux 6 corosync Not affected

Acknowledgements

Red Hat would like to thank Citrix Security Response Team for reporting this issue.
Last Modified